Subject: Re: [PATCH 0/2] semver aware cargo refresh
From: Efraim Flashner <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked], Jaeme Sifat <[email-masked]>
Date: Tue, 16 Jan 2024 14:26:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jan 14, 2024 at 12:54:27PM +0000, David Elsing wrote:
> Hello,
> 
> Efraim Flashner <[email-masked]> writes:
> > These patches make 'guix refresh' take into account the semver of the
> > crate and only suggest upgrading to one which still matches the semver
> > constraints and isn't yanked.  Then I went and used the functions to
> > factor out some of the other code.
> 
> thanks for cleaning this up a bit! I tested your patches and only found
> the (minor) issue that an exception is thrown instead of returning #f if
> there is no non-yanked package available. The minimum element can also
> be found without sorting, so I would suggest something like the
> following changes:

I still think I like sort better, but it definitely doesn't do as good a
job of taking care of the #f case as your code does.  I incorporated
your changes and pushed them.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted